import { BaseDomainEvent } from './base-domain.event';

export class NotificationSentEvent extends BaseDomainEvent {
  readonly eventType = 'notification.sent';

  constructor(
    public readonly userId: string,
    public readonly notificationId: string,
    public readonly type: string,
    public readonly channel: string,
  ) {
    super();
  }
}
